{% set CodiceModulo = "RICH_ISCR_TRASPORTO" %}
{% set Urn = "document:c_l120:trasporto.scolastico;iscrizione;domanda" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di iscrizione al servizio di trasporto scolastico"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.1|06/02/2019"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="DAE-CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}

{% block title %}
  Domanda di iscrizione al servizio di trasporto scolastico - A.S. 2021/2022
{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Domanda di iscrizione al servizio di trasporto scolastico'"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<h1 class="Modulo">
  Domanda di iscrizione al servizio di trasporto scolastico - A.S. 2021/2022
</h1>
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto genitore, tutore o affidatario", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}
<input id="AventeTitolo_DatiPersonaObbligatori" name="AventeTitolo_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="AventeTitolo_Titolo" name="AventeTitolo_Titolo" type="hidden" value="Richiedente"/>
<input id="AventeTitolo_Ruolo" name="AventeTitolo_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("AventeTitolo", "del bambino", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:none", "none") }}
<table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella"> iscritto alla scuola </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella"> Grado </p>
      </td>
    </tr>
    <div id="Tassonomia_Grado" name="Tassonomia_Grado" label="Grado della scuola" mandatory="true"></div>
  </tbody>
</table>
    {% set Macro = [  ("dell'infanzia", 2 , [ ("Scuola","Scuola",48), 
                                         ("Anno","Anno",48)] ),
                      ("primaria", 3 , [  ("Scuola","Scuola",46), 
                                          ("Classe","Classe",20), 
                                          ("Frequenza (tempo pieno, tempo antimeridiano)","Frequenza",30)] ),
                      ("secondaria", 3 , [  ("Scuola","Scuola",46), 
                                            ("Classe","Classe",20), 
                                            ("Sezione","Sezione",30)] ),
                       ] %}

{% for tit,cpan,array in Macro %}
  {% set father = loop.index %}
  <table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
    <tbody>
        <tr>
          <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
            <input id="Tassonomia_Grado{{father}}" name="Tassonomia_Grado" type="radio" value="{{father}}" />          
          </td>
          <td colspan="{{cpan}}">
            {{ tit|safe }}
          </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
          {% for nam,par,dim in array %}
            <td style="width: {{dim}}%">
              <p class="Labelcella"> {{ nam|safe }} </p>
            </td>
          {% endfor %}
        </tr>
        <tr mandatory_enabled="#Tassonomia_Grado{{father}}.checked()">
          {% for nam,par,dim in array %}
            <td style="width: {{dim}}%">
              <input class="inputNormal" id="Parametri_Grado{{father}}_{{par}}" name="Parametri_Grado{{father}}_{{par}}" style="width: 100%;" label="{{nam|safe}}" />
            </td>
          {% endfor %}
        </tr>
    </tbody>
  </table>
{% endfor %}

<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  l’iscrizione al servizio di trasporto scolastico - A.S. 2021/2022
</p>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella"> per i viaggi </p>
      </td>
    </tr>
    {% set viaggi = ["solo andata","solo ritorno","andata e ritorno"] %}
    <div id="Tassonomia_Viaggi" name="Tassonomia_Viaggi" label="Tipologia di viaggio richiesto" mandatory="true"></div>
    {% for stmt in viaggi %}
      <tr>
        <td style="vertical-align: top; width: 4%;">
          <input id="Tassonomia_Viaggi{{loop.index}}" name="Tassonomia_Viaggi" type="radio" value="{{loop.index}}" />        
        </td>
        <td>
          {{ stmt|safe }}
        </td>
      </tr>
    {% endfor %}
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella"> dalla fermata </p>
      </td>
    </tr>
    {% set viaggi = ["più vicina al luogo di residenza","più vicina al seguente luogo"] %}
    <div id="Tassonomia_Fermata" name="Tassonomia_Fermata" label="Tipologia della fermata" mandatory="true"></div>
    {% for stmt in viaggi %}
      <tr>
        <td {% if loop.index == 2 %} rowspan="3" {% endif %} style="vertical-align: top; width: 4%;">
          <input id="Tassonomia_Fermata{{loop.index}}" name="Tassonomia_Fermata" type="radio" value="{{loop.index}}" />        
        </td>
        <td colspan="2">
          {{ stmt|safe }}
        </td>
      </tr>
      {% if loop.index == 2 %} 
        <tr class="Rigaintestazioneridotta">
          <td style="width: 71%">
            <p class="Labelcella"> Indirizzo </p>
          </td>
          <td style="width: 25%">
            <p class="Labelcella"> Civico </p>
          </td>
        </tr>
        <tr mandatory_enabled="#Tassonomia_Fermata{{loop.index}}.checked()">
          <td>
            <input class="inputNormal" id="Parametri_IndirizzoFermata" name="Parametri_IndirizzoFermata" style="width: 100%;" label="Indirizzo" />
          </td>
          <td>
            <input class="inputNormal" id="Parametri_IndirizzoFermata_Note" name="Parametri_IndirizzoFermata_Note" style="width: 100%;" label="Civico" />
          </td>
        </tr>
      {% endif %}
    {% endfor %}
  </tbody>
</table>

{{ utils.Dichiara_445() }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td style="vertical-align: top; width: 4%;">
      <div id="Dichiara" name="Dichiara" label="Dichiarazione" mandatory="true"></div>
        <input id="Dichiara1" name="Dichiara" type="radio" value="1"/>
      </td>
      <td>
        <p> 
          che la scuola indicata è la più vicina al luogo di residenza all’interno del territorio comunale
        </p>
      </td>
    </tr>
    <tr>
      <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
        <input id="Dichiara2" name="Dichiara" type="radio" value="2"/>
      </td>    
      <td>
        <p>
          che, nonostante la scuola indicata non sia la più vicina al luogo di residenza all’interno del territorio comunale, sia valutata la possibilità di poter usufruire del servizio di trasporto nel caso in cui questo non comporti costi aggiuntivi a carico del Comune.
          Il sottoscritto dichiara inoltre di essere consapevole che l’accettazione della richiesta non coporta alcun diritto all’utilizzo del servizio di trasporto negli anni successivi e che il Comune è libero, in qualsiasi momento, di interrompere il servizio qualora questo comporti costi aggiuntivi.
        </p>
      </td>  
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella"> Scuola più vicina al luogo di residenza </p>
      </td>
    </tr>
    <tr>
      <td mandatory_enabled="#Dichiara2.checked()">
        <input class="inputNormal" id="Parametri_Dichiara2_Note" name="Parametri_Dichiara2_Note" style="width: 100%;" label="Scuola più vicina al luogo di residenza" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Eventuali annotazioni
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width: 100%; height: 5cm;" label="Eventuali annotazioni"></textarea>
      </td>
    </tr>
  </tbody>
</table>



<br>
<table class="Modulo" name="Allegati" style="border: 1px solid grey">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p style="text-align: center;">
          <b>
            Elenco degli allegati
          </b>
          <br/>
          <span style="font-size:70%">
            <i>(barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="DAE-CDI" name="DAE-CDI" type="checkbox" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          copia del documento d'identità
          <br/>
          <span style="font-size:70%">
            <i>(da non allegare se l’istanza è presentata in modalità telematica o se la firma autografa è apposta di fronte a un pubblico ufficiale)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          altri allegati
          <span style="font-size:70%">(specificare)</span>
          <input class="" label="Altri allegati" id="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<br>
{{ utils.trattamento_dati_personali() }}
<br/>
  {{ utils.firma_hidden() }}
<br/>

<p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cDAE-CDI" name="GLOBO_allegato_cDAE-CDI" obbligatorio="#DAE_CDI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
